import {
  Input,
  Checkbox,
  Button,
  Form,
  FormItem,
  Dialog,
  Message
} from 'element-ui'

import Login from './Index.vue'

Login.install = function(Vue) {
  Vue.use(Input)
  Vue.use(Checkbox)
  Vue.use(Button)
  Vue.use(Form)
  Vue.use(FormItem)
  Vue.use(Dialog)

  Vue.component(Login.name, Login)
  Vue.prototype.$message = Message
}

export default Login
